#! /usr/bin/perl -w
#  This file is part of ff3d - http://www.freefem.org/ff3d
#  Copyright (C) 2003  Laboratoire J.-L. Lions UPMC Paris

#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.

#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

#  $Id: ParallelTests.pl,v 1.2 2003/11/21 13:00:43 ArceneL Exp $

# Small utility to run all tests on a parallel machine (useful mainly
# during software development).

# Add obvious delimiter in Stats and clears all previous job results
system "echo ----- ParallelTests.pl starting `date` >> STATS";

# Finds out all the tests to run from Makefile.am.
$makefile = `cat Makefile.am`;

# All "name.pl" files are supposed to be tests to run.
while($makefile =~ /.*?\s(\w[^\s]+\.pl)(.*)$/s){
    
    # Runs the test
    print "ParallelTests.pl: submitting $1\n";
    system "submit -b $1";

    # Next
    $makefile = $2;
}
