#! /usr/bin/perl -w

#  This file is part of ff3d - http://www.freefem.org/ff3d
#  Copyright (C) 2003  Laboratoire J.-L. Lions UPMC Paris

#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.

#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

#  $Id: basic.pl,v 1.4 2003/08/04 09:26:42 ArceneL Exp $

# Tests basic ff3d input/output operations and "cout" operator. They
# will be necessary for the following tests to work.

require 'check.ph';

Run(<< 'EOF');
// Testing comments

cout << "cout test\n"; // Testing comments again
cout << "1 = " << 1 << "\n";
cout << "-1 = " << -1 << "\n";
cout << "1.23456e7 = " << 1.23456e7 << "\n";
cout << "1.23456e-7 = " << 1.23456e-7 << "\n";
cout << "-1.23456e7 = " << -1.23456e7 << "\n";
cout << "-1.23456e-7 = " << -1.23456e-7 << "\n";
EOF

LineCheck('cout test');
LineCheck('1 = 1');
LineCheck('-1 = -1');
LineCheck('1\.23456e7 = 1\.23456e\+07');
LineCheck('1\.23456e-7 = 1\.23456e-07');
LineCheck('-1\.23456e7 = -1\.23456e\+07');
LineCheck('-1\.23456e-7 = -1\.23456e-07');

Report();
