#! /usr/bin/perl -w

#  This file is part of ff3d - http://www.freefem.org/ff3d
#  Copyright (C) 2003  Laboratoire J.-L. Lions UPMC Paris

#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.

#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

#  $Id: elasticity.pl,v 1.4 2003/11/21 13:00:43 ArceneL Exp $

# A real-world test case from Stephane Del Pino's PhD Thesis,
# paragraph 4.2.3: Linearized elasticity.

require 'check.ph';

CleanUp('elasticity-u1.bb','elasticity-u2.bb','elasticity-u3.bb');
Run('','elasticity.ff');

# Compares the resulting output with a reference

VectorCheck('elasticity-u1.bb','elasticity-u1-ref.bb',1e-6,'elasticity-u1');
VectorCheck('elasticity-u2.bb','elasticity-u2-ref.bb',1e-6,'elasticity-u2');
VectorCheck('elasticity-u3.bb','elasticity-u3-ref.bb',1e-6,'elasticity-u3');

Report();
