#! /usr/bin/perl -w

#  This file is part of ff3d - http://www.freefem.org/ff3d
#  Copyright (C) 2003  Laboratoire J.-L. Lions UPMC Paris

#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.

#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

#  $Id: meshed-inside.pl,v 1.3 2003/10/24 12:30:31 ArceneL Exp $

# Checks domain definition operators on a real (but simple) partial
# differential equation. Please refer to check.ph for the exact
# definition of the equation.

require 'check.ph';

DomainMeshCheck('inside(<1,0,0>)',0, << 'EOF');
-1,-1,-1:0
-1,-1,0:0
-1,-1,1:0
-1,0,-1:0
-1,0,0:1
-1,0,1:0
-1,1,-1:0
-1,1,0:0
-1,1,1:0
0,-1,-1:0
0,-1,0:1
0,-1,1:0
0,0,-1:1
0,0,0:1
0,0,1:1
0,1,-1:0
0,1,0:1
0,1,1:0
1,-1,-1:0
1,-1,0:0
1,-1,1:0
1,0,-1:0
1,0,0:1
1,0,1:0
1,1,-1:0
1,1,0:0
1,1,1:0
EOF

Report();
