#! /usr/bin/perl -w

#  This file is part of ff3d - http://www.freefem.org/ff3d
#  Copyright (C) 2003  Laboratoire J.-L. Lions UPMC Paris

#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.

#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

#  $Id: navier-stokes.pl,v 1.4 2003/11/21 10:30:16 ArceneL Exp $

# A real-world test case from Stephane Del Pino's PhD Thesis,
# paragraph 4.2.2: Navier-Stokes.

require 'check.ph';

CleanUp('navier-stokes-u.bb',
	'navier-stokes-v.bb',
	'navier-stokes-w.bb',
	'navier-stokes-p.bb');

Run('','navier-stokes.ff');

# Compares the resulting output with a reference

VectorCheck('navier-stokes-u.bb','navier-stokes-u-ref.bb',1e-6);
VectorCheck('navier-stokes-v.bb','navier-stokes-v-ref.bb',1e-6);
VectorCheck('navier-stokes-w.bb','navier-stokes-w-ref.bb',1e-6);
VectorCheck('navier-stokes-p.bb','navier-stokes-p-ref.bb',1e-6);

Report();
