#! /usr/bin/perl -w

#  This file is part of ff3d - http://www.freefem.org/ff3d
#  Copyright (C) 2003  Laboratoire J.-L. Lions UPMC Paris

#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.

#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

#  $Id: potential-fluid-flow.pl,v 1.3 2003/11/21 10:30:16 ArceneL Exp $

# A real-world test case from Stephane Del Pino's PhD Thesis,
# paragraph 4.1.3: the potential flow of a fluid.

require 'check.ph';

CleanUp('potential-fluid-flow-u.bb',
	'potential-fluid-flow-v.bb',
	'potential-fluid-flow-w.bb',
	'potential-fluid-flow-phi.bb');
Run('','potential-fluid-flow.ff');

# Compares the resulting output with a reference

VectorCheck('potential-fluid-flow-u.bb',
	    'potential-fluid-flow-u-ref.bb',1e-6);
VectorCheck('potential-fluid-flow-v.bb',
	    'potential-fluid-flow-v-ref.bb',1e-6);
VectorCheck('potential-fluid-flow-w.bb',
	    'potential-fluid-flow-w-ref.bb',1e-6);
VectorCheck('potential-fluid-flow-phi.bb',
	    'potential-fluid-flow-phi-ref.bb',1e-6);

Report();
