#! /usr/bin/perl -w

#  This file is part of ff3d - http://www.freefem.org/ff3d
#  Copyright (C) 2003  Laboratoire J.-L. Lions UPMC Paris

#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.

#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

#  $Id: vector.pl,v 1.4 2003/08/04 09:26:42 ArceneL Exp $

# A detailed analysis of all operations on types "vector" and
# "vertex".

# Currently, "vector" and "vertex" are identical types. When this
# changes, a separate "vertex.pl" test will have to be written.

require 'check.ph';

Run(<< 'EOF');

// vector
vector v = (1,0,0) + (0,2,0) + (0,0,3);
cout << "x(v) = " << x(v) << "\n";
cout << "y(v) = " << y(v) << "\n";
cout << "z(v) = " << z(v) << "\n";

// vertex
vertex w = <1,0,0> + <0,2,0> + <0,0,3>;
cout << "x(w) = " << x(w) << "\n";
cout << "y(w) = " << y(w) << "\n";
cout << "z(w) = " << z(w) << "\n";
EOF

# vector
NumCheck('x\(v\) = ',1);
NumCheck('y\(v\) = ',2);
NumCheck('z\(v\) = ',3);

# vertex
NumCheck('x\(w\) = ',1);
NumCheck('y\(w\) = ',2);
NumCheck('z\(w\) = ',3);

Report();
